Get evaluators
curl --request GET \
--url https://api.eigenpal.com/v1/automations/{id}/evaluators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eigenpal.com/v1/automations/{id}/evaluators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eigenpal.com/v1/automations/{id}/evaluators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eigenpal.com/v1/automations/{id}/evaluators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eigenpal.com/v1/automations/{id}/evaluators"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eigenpal.com/v1/automations/{id}/evaluators")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eigenpal.com/v1/automations/{id}/evaluators")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"automationId": "<string>",
"automationType": "workflow",
"yaml": "<string>",
"config": {
"evaluators": [
"<unknown>"
],
"passThreshold": 123
}
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}Evaluators
Get evaluators
Fetch workflow evaluator YAML or agent evaluator metadata compiled from the requested sourceRef (latest release by default). Agent evaluations are defined in agent.ts and captured with each run. Automated scores are separate from human review verdicts.
GET
/
v1
/
automations
/
{id}
/
evaluators
Get evaluators
curl --request GET \
--url https://api.eigenpal.com/v1/automations/{id}/evaluators \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eigenpal.com/v1/automations/{id}/evaluators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eigenpal.com/v1/automations/{id}/evaluators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eigenpal.com/v1/automations/{id}/evaluators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eigenpal.com/v1/automations/{id}/evaluators"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eigenpal.com/v1/automations/{id}/evaluators")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eigenpal.com/v1/automations/{id}/evaluators")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"automationId": "<string>",
"automationType": "workflow",
"yaml": "<string>",
"config": {
"evaluators": [
"<unknown>"
],
"passThreshold": 123
}
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}{
"issues": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"severity": "error"
}
],
"requestId": "<string>",
"hint": "<string>",
"docsUrl": "<string>",
"conflictingWorkflowId": "<string>"
}Authorizations
Response
Evaluator YAML and parsed configuration.
- Option 1
- Option 2
Workflow evaluator YAML or typed agent evaluator metadata from its pinned requested source commit. Edit agent.ts and release to change agent evaluations.